@font-face {
  font-family: Rodin;
  src: url("../fonts/Rodin.otf") format("opentype");
}

@import url("https://fonts.googleapis.com/css2?family=Satisfy&display=swap");

.html {
  background-size: cover;
  background-position: center;
  background-clip: content-box;
  background-repeat: no-repeat;

}

.voile {
  background-color: black;
  width: 200vw;
  height: 200vh;
  position: absolute;
  z-index: 500;
}

#background-video {
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  z-index: -10;
}

a {
  text-decoration: none;
  color: inherit !important;
}

body {
  width: 100%;
  margin: 0;

  background: black;

  font-family: "Rodin", sans-serif;
  color: #d8d8d8;
  font-weight: 500;

  overflow-x: hidden;
  overflow-y: hidden;
}

.non-scrollable {
  overflow-y: hidden;
}


.menu {
  display: flex;
  flex-direction: row;

  position: absolute;
  top: 30%;
  left: 10%;
}

.category {
  margin: 5vh;
  width: 20vh;
}

.category img {
  height: 10vh;
  cursor: pointer;
}

.title {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 1.8vh;
  white-space: nowrap;
  cursor: pointer;
}

#clock {
  margin: 50px;
  position: absolute;
  top: 0;
  right: 0;
}

#commands {
  margin: 50px;
  position: absolute;
  bottom: 0;
  right: 0;
  font-size: 0.8em;
  z-index: 100;

  text-shadow: 0px 0px 5px black;
}

#language-selector {
  margin: 50px;
  position: absolute;
  top: 0;
  left: 0;
  cursor: pointer;
  transition: 0.3s;
}

#language-selector:hover {
  color: white;

  transition: 0.3s;
  text-shadow: 0px 0px 5px white;
}

.category .title span {
  display: none;
}

.projects {
  display: none;
  flex-direction: column;

  align-items: stretch;
}

.projects img {
  margin: 5vh;
}

.project {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 1.8vh;
  white-space: nowrap;
}

.proj-title {
  font-size: 2.3vh;
  animation: none;
  color: #d8d8d8;
}

.proj-desc {
  font-size: 1.3vh;
}

@keyframes clignotement {
  0% {
    text-shadow: 0px 0px 7px white, 0px 0px 10px black;
  }
  50% {
    text-shadow: 0px 0px 10px black;
  }
  100% {
    text-shadow: 0px 0px 7px white, 0px 0px 10px black;
  }
}

.project-icon {
  cursor: pointer;
}

.color-change {
  z-index: 20;
  height: 100vh;
  width: 25vw;
  position: absolute;
  top: 0;
  right: 0;
  background: rgba(202, 202, 202, 0.447);
  background: linear-gradient(
    90deg,
    rgba(180, 180, 180, 1) 0%,
    rgba(255, 255, 255, 0.34226190476190477) 100%,
    rgba(255, 255, 255, 1) 100%
  );
  border-left: solid 3px #ffffff59;

  backdrop-filter: blur(2px);

  display: none;
  flex-direction: column;

  padding: 50px 10px;
}

.color {
  width: 20px;
  height: 20px;
  background-color: #2741a2;
  box-shadow: 2px 2px 5px black;

  margin: 10px;
}

.project-content {
  text-align: justify;

  backdrop-filter: blur(100px);

  z-index: 50;
  position: absolute;

  right: 0;
  margin: 100px 50px;
  padding: 50px;

  overflow-y: auto;
  max-height: 58vh;
  width: 65vw;

  display: none;

  font-size: small;

  box-shadow: 0px 0px 100px rgba(255, 255, 255, 0.3);
}

.project-content img {
  width: 30%;
  margin: 0 2vw 0 0;
  float: left;
}

/* width */
::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: rgba(255, 255, 255, 0.232);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.521);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #ffffffd4;
}

.visit-projet-button {
  position: absolute;

  top: 50px;
  right: 50px;

  font-size: 2vh;

  padding: 10px 30px;
  margin: 0;

  border: solid 2px white;

  animation: clignotement 3s infinite;

  cursor: pointer;

  transition: 0.3s;
}

.visit-projet-button:hover {
  background-color: white;
  color: #2741a2;
  animation: none;

  transition: 0.3s;
}

h2 {
  margin: 0;
  font-size: 4vh;
}

.project-content-desc {
  display: flex;
  flex-direction: column;
}

.logiciels,
.equipe {
  padding: 50px;
  width: 20vw;
  margin: 10px;
}

.desc2 {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

ul {
  display: flex;
  flex-wrap: wrap;

  list-style-type: disc;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  padding-inline-start: 0px;
}

li {
  background-color: rgba(0, 0, 0, 0.3);
  width: fit-content;
  list-style-type: none;
  margin: 5px 5px 0 0;
  padding: 0 2px;
}

.project-content a {
}

.alerte-mobile {
  display: none;
  text-align: justify;

  backdrop-filter: blur(100px);

  z-index: 50;

  margin: 20vh 10vw;
  padding: 50px;

  overflow-y: auto;
  max-height: 58vh;
  width: 65vw;

  position: absolute;
  left:-12px;


  font-size: small;

  box-shadow: 0px 0px 100px rgba(255, 255, 255, 0.3);
}

@media screen and (max-width: 700px) {
  .menu, #commands {
    display: none;
  }
  .alerte-mobile {
    display: flex;
  }
 
}